/******************************************************************************
*
* project name:    Kalaha
* file name:       main-h21.h
* initial date:    15.09.2004
* author:          mhubi@freesurf.ch
* description:     main-header-file
* last changes:		 17.10.2004 22:00
*
*******************************************************************************
*
* Kalaha -- an board-game with alpha-beta-pruning-ai
* Copyright (C) 2004  Martin Huber
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/


//include all necessary header-files for the whole project
// include the tigcc-library
#include <tigcclib.h>
// include the extgraph-library
#include "extgraph.h"
//own header-files
#include "definitions21.h"
#include "globals21.h"
#include "data21.h"
#include "graphics21.h"


//=============================================================================
// file history
//=============================================================================
//
//	8.7.2004	pre-processor-statements, globals, externs, function-prototypes, lbcorner
//						sprites (stone, arrow)
// 	9.7.2004	new function-prototypes, added #includes
// 12.7.2004	added game/player-structure; added checkrules(); played around with
//						the arrow (array with mirrored versions) --> also in screen-routines
//						added nextplayer[]; new externs
// 24.7.2004	added *result, new prototypes, new status-globals
// 31.7.2004	added new prototypes, added type in the player-structure, new globals
//						(player-type)
//  2.8.2004	added new prototypes, added new globals (fields), change definition of
//						pot to a two-dimensional array (ai-calculation) 
// 13.8.2004	added the license
// 19.8.2004	added the pot-sprites
//  9.9.2004	added background-sprite-variables, arrow_mask, new function-prototype
// 15.9.2004	added new function-prototypes (of the dynamic-ai)
// 16.9.2004	added new function-prototypes (of the menu) and all other menu-stuff
//10-13.10.04	added new function-prototypes, all the menu-stuff, file-names
// 17.10.2004 split up in five files
